OpenVDB 7.0.0

Classes | Namespaces | Typedefs | Functions
AttributeArray.h File Reference

Attribute Array storage templated on type and compression codec. More...

`#include <openvdb/Types.h>`
`#include <openvdb/math/QuantizedUnitVec.h>`
`#include <openvdb/util/Name.h>`
`#include <openvdb/util/logging.h>`
`#include <openvdb/io/io.h>`
`#include <openvdb/io/Compression.h>`
`#include "IndexIterator.h"`
`#include "StreamCompression.h"`
`#include <tbb/spin_mutex.h>`
`#include <tbb/atomic.h>`
`#include <memory>`
`#include <mutex>`
`#include <string>`
`#include <type_traits>`

Go to the source code of this file.

## Classes
class | AttributeArray
| Base class for storing attribute data. More...
struct | AttributeArray::Accessor< T >
class | AttributeArray::ScopedRegistryLock
struct | AttributeArray::AccessorBase
| Accessor base class for AttributeArray storage where type is not available. More...
struct | AttributeArray::Accessor< T >
struct | TruncateTrait< T >
struct | TruncateTrait< float >
struct | TruncateTrait< int >
struct | TruncateTrait< math::Vec3< T > >
struct | UIntTypeTrait< OneByte, T >
struct | UIntTypeTrait< true, T >
struct | UIntTypeTrait< false, T >
struct | UIntTypeTrait< true, math::Vec3< T > >
struct | UIntTypeTrait< false, math::Vec3< T > >
struct | UnknownCodec
struct | NullCodec
struct | NullCodec::Storage< T >
struct | TruncateCodec
struct | TruncateCodec::Storage< T >
struct | PositionRange
struct | UnitRange
struct | FixedPointCodec< OneByte, Range >
struct | FixedPointCodec< OneByte, Range >::Storage< T >
struct | UnitVecCodec
struct | UnitVecCodec::Storage< T >
class | TypedAttributeArray< ValueType_, Codec_ >
| Typed class for storing attribute data. More...
class | AttributeHandle< ValueType, CodecType >
class | AttributeWriteHandle< ValueType, CodecType >
| Write-able version of AttributeHandle. More...
struct | AccessorEval< CodecType, ValueType >
| Accessor to call unsafe get and set methods based on templated Codec and Value. More...
struct | AccessorEval< UnknownCodec, ValueType >
| Partial specialization when Codec is not known at compile-time to use the supplied functor instead. More...

## Namespaces
| openvdb
| openvdb::v7_0
| openvdb::v7_0::points
| openvdb::v7_0::points::attribute_traits

## Typedefs
using | NamePair = std::pair< Name, Name >

## Functions
template<typename IntegerT , typename FloatT >
IntegerT | floatingPointToFixedPoint (const FloatT s)
template<typename FloatT , typename IntegerT >
FloatT | fixedPointToFloatingPoint (const IntegerT s)
template<typename IntegerVectorT , typename FloatT >
IntegerVectorT | floatingPointToFixedPoint (const math::Vec3< FloatT > &v)
template<typename FloatVectorT , typename IntegerT >
FloatVectorT | fixedPointToFloatingPoint (const math::Vec3< IntegerT > &v)

## Detailed Description

Attribute Array storage templated on type and compression codec.

Authors
  Dan Bailey, Mihai Alden, Nick Avramoussis, James Bird, Khang Ngo